Summary:	An X Window System kernel parameter monitoring tool
Name:		xsysinfo
Version:	1.7
Release:	%mkrel 38
License:	MIT
Group:		Monitoring
Source0:	https://ibiblio.org/pub/Linux/system/status/xstatus/xsysinfo-%{version}.tar.bz2
Source1:	%{name}
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		xsysinfo-1.7-imake.patch
Patch1:		xsysinfo-1.7-xf4.patch
Patch2:		xsysinfo-1.7-includes.patch
BuildRequires:	imake
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw3d)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xaw7)

%description
Xsysinfo is a graphic kernel monitoring tool for the X Window System.
Xsysinfo displays vertical bars for certain kernel parameters:  CPU load
average, CPU load, memory and swap sizes.

Install the xsysinfo package if you'd like to use a graphical kernel
monitoring tool.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1 -b .includes
make clean

%build
xmkmf
%make_build CDEBUGFLAGS="%optflags" EXTRA_LDOPTIONS="%ldflags"

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Xsysinfo
Comment=System information
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Monitor;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -f $RPM_BUILD_ROOT/%{_prefix}/lib/X11/app-defaults

%files
%doc README CHANGES
%{_bindir}/xsysinfo
%{_datadir}/X11/app-defaults/XSysinfo
%{_datadir}/X11/app-defaults/XSysinfo-color
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.7-38.mga10
+ Revision: 2128364
- Rebuild for patchN deprecation

* Sun Jun 11 2023 daviddavid <daviddavid> 1.7-37.mga9
+ Revision: 1961795
- remove unmaintained libXp support (fix mga#31867)

* Thu Mar 31 2022 umeabot <umeabot> 1.7-36.mga9
+ Revision: 1836433
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1.7-35.mga9
+ Revision: 1790036
- fix files list

* Fri Feb 14 2020 umeabot <umeabot> 1.7-34.mga8
+ Revision: 1519022
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.7-33.mga7
+ Revision: 1301988
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.7-32.mga6
+ Revision: 948086
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-31.mga5
+ Revision: 743383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-30.mga5
+ Revision: 690789
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-29.mga4
+ Revision: 520788
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7-28.mga3
+ Revision: 387429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 20 2012 kamil <kamil> 1.7-27.mga2
+ Revision: 211139
- buildrequire xaw3d-devel, not Xaw3d-devel

* Wed Apr 27 2011 wally <wally> 1.7-26.mga1
+ Revision: 92054
- fix desktop file name (mga#954)
- drop buildroot definition

* Wed Mar 16 2011 steletch <steletch> 1.7-25.mga1
+ Revision: 72859
- Clean spec file
- imported package xsysinfo

